var font = LoadFont("bonk.rfn");

var x = 360;
var spacing = 25;
var y = 0;
var starty = 100;

var text = "Say yay to cool scrolling text!       Yay! :P       Demo made by DaVince\
            Special thanks to AegisKnight and Flikky for making and maintaining Sphere.";
var letters = [];

function game()
{
	SetFrameRate(60);
	
	for (var i = 0; i < text.length; i++)
		letters[i] = new Letter(text[i], x+(spacing*i));
	
	while(!IsKeyPressed(KEY_ESCAPE))
	{
		Rectangle(0, 0, 320, 240, CreateColor((letters[0].color.blue)-150, 0, 0));
		
		for (var i = 0; i < text.length; i++)
		{
			letters[i].color.red = -1*letters[i].y-50;
			letters[i].color.green = i*2;
			letters[i].color.blue = 2*letters[i].y;
			
			letters[i].y = starty+(Math.sin(letters[i].x/50)*20);
			letters[i].x-=3;
			
			font.setColorMask(letters[i].color);
			font.drawText(letters[i].x, letters[i].y, letters[i].letter);
			
			for (var n = 20; n < 30; n+=10)
			{
				font.drawText(letters[i].x, starty+(Math.sin(letters[i].x/-50)*n), letters[i].letter);
			}
		}
		
		if (letters[letters.length-1].x < 0)
		{
			for (var i = 0; i < letters.length; i++)
				letters[i].x=x+(spacing*i);
		}
		
		FlipScreen();
	}
}



function Letter(letter, x)
{
	this.letter = letter;
	this.x = x;
	this.y = 0;
	
	this.color = CreateColor(255,0,0);
}